UNITS=INCH
BOOLEAN {
    NAME=.drc_board
    PROMPT=Analysis Board Area
    ENTITY=feature
    DEF=NO
    GROUP=DFx Area
}

BOOLEAN {
    NAME=.drc_comp_keepin
    PROMPT=Component Keep In
    ENTITY=feature
    DEF=NO
    GROUP=DFx Area
}

BOOLEAN {
    NAME=.drc_route_keepin
    PROMPT=Rout Keep In
    ENTITY=feature
    DEF=NO
    GROUP=DFx Area
}

BOOLEAN {
    NAME=.drc_comp_keepout
    PROMPT=Component Keep Out
    ENTITY=feature
    DEF=NO
    GROUP=DFx Area
}

BOOLEAN {
    NAME=.drc_tp_keepout
    PROMPT=Test Point Keep Out
    ENTITY=feature
    DEF=NO
    GROUP=DFx Area
}

TEXT {
    NAME=.layer_class
    PROMPT=Layer Class
    MIN_LEN=0
    MAX_LEN=1000
    ENTITY=layer
    DEF=
    GROUP=Custom
    OPTIONS=
    DEF_OPT=
}

TEXT {
    NAME=.drc_route_keepin_lyr
    PROMPT=Route Keep In Layer
    MIN_LEN=0
    MAX_LEN=64
    ENTITY=job
    DEF=
    GROUP=Custom
    OPTIONS=
    DEF_OPT=
}

TEXT {
    NAME=.drc_comp_keepin_lyr
    PROMPT=Component Keep In Layer
    MIN_LEN=0
    MAX_LEN=64
    ENTITY=job
    DEF=
    GROUP=Custom
    OPTIONS=
    DEF_OPT=
}

TEXT {
    NAME=.drc_tp_keepin_lyr
    PROMPT=Test Point Keep In Layer
    MIN_LEN=0
    MAX_LEN=64
    ENTITY=job
    DEF=
    GROUP=Custom
    OPTIONS=
    DEF_OPT=
}

TEXT {
    NAME=.drc_route_keepout_lyr
    PROMPT=Route Keep Out Layer
    MIN_LEN=0
    MAX_LEN=64
    ENTITY=job
    DEF=
    GROUP=Custom
    OPTIONS=
    DEF_OPT=
}

TEXT {
    NAME=.drc_comp_keepout_lyr
    PROMPT=Component Keep Out Layer
    MIN_LEN=0
    MAX_LEN=64
    ENTITY=job
    DEF=
    GROUP=Custom
    OPTIONS=
    DEF_OPT=
}

TEXT {
    NAME=.drc_pad_keepout_lyr
    PROMPT=Pad Keep Out Layer
    MIN_LEN=0
    MAX_LEN=64
    ENTITY=job
    DEF=
    GROUP=Custom
    OPTIONS=
    DEF_OPT=
}

TEXT {
    NAME=.drc_via_keepout_lyr
    PROMPT=Via Keep Out Layer
    MIN_LEN=0
    MAX_LEN=64
    ENTITY=job
    DEF=
    GROUP=Custom
    OPTIONS=
    DEF_OPT=
}

TEXT {
    NAME=.drc_trace_keepout_lyr
    PROMPT=Trace Keep Out Layer
    MIN_LEN=0
    MAX_LEN=64
    ENTITY=job
    DEF=
    GROUP=Custom
    OPTIONS=
    DEF_OPT=
}

TEXT {
    NAME=.drc_plane_keepout_lyr
    PROMPT=Plane Keep Out Layer
    MIN_LEN=0
    MAX_LEN=64
    ENTITY=job
    DEF=
    GROUP=Custom
    OPTIONS=
    DEF_OPT=
}

TEXT {
    NAME=.drc_comp_height_lyr
    PROMPT=Comp. Height Restriction Layer
    MIN_LEN=0
    MAX_LEN=64
    ENTITY=job
    DEF=
    GROUP=Custom
    OPTIONS=
    DEF_OPT=
}

TEXT {
    NAME=.drc_tp_keepout_lyr
    PROMPT=Test Point Keep Out Layer
    MIN_LEN=0
    MAX_LEN=64
    ENTITY=job
    DEF=
    GROUP=Custom
    OPTIONS=
    DEF_OPT=
}

TEXT {
    NAME=.fab_drc
    PROMPT=Fab DRC
    MIN_LEN=0
    MAX_LEN=20
    ENTITY=step
    DEF=
    GROUP=Custom
    OPTIONS=
    DEF_OPT=
}

TEXT {
    NAME=.hdi_drc
    PROMPT=HDI DRC
    MIN_LEN=0
    MAX_LEN=20
    ENTITY=step
    DEF=
    GROUP=Custom
    OPTIONS=
    DEF_OPT=
}

TEXT {
    NAME=.drc_ref_des
    PROMPT=Reference Designator
    MIN_LEN=0
    MAX_LEN=100
    ENTITY=feature
    DEF=
    GROUP=DFx Area
    OPTIONS=
    DEF_OPT=
}

TEXT {
    NAME=.package_type
    PROMPT=Package Type
    MIN_LEN=0
    MAX_LEN=64
    ENTITY=component;package
    DEF=
    GROUP=DFx Component
    OPTIONS=melf;axial;radial;cyl-tall;cc;chip;connector;fp;ga;sip-dip;smt-misc;so;thru-misc
    DEF_OPT=melf
}

OPTION {
    NAME=.comp_mount_type
    PROMPT=Mount Type
    OPTIONS=other;smt;thmt;pressfit
    DELETED=NO;NO;NO;NO
    ENTITY=component;package
    DEF=other
    GROUP=Component
}

OPTION {
    NAME=.drc_assembly_lyrs
    PROMPT=Assigned Area to Component Side
    OPTIONS=top;bottom;both
    DELETED=NO;NO;NO
    ENTITY=feature
    DEF=top
    GROUP=DFx Area
}

OPTION {
    NAME=.hdi_assembly_tech
    PROMPT=HDI Assembly Technology
    OPTIONS=none;wirebond;flipchip;hybrid
    DELETED=NO;NO;NO;NO
    ENTITY=layer
    DEF=none
    GROUP=Custom
}

OPTION {
    NAME=.layer_side
    PROMPT=Layer Side
    OPTIONS=top;bottom;inner;none
    DELETED=NO;NO;NO;NO
    ENTITY=layer
    DEF=none
    GROUP=Custom
}

